import type { ActionStorage } from './types/actions';
export declare class ActionsManager implements ActionStorage {
    #private;
    get actions(): YfmEditor.Actions;
    constructor(actions?: YfmEditor.Actions);
    action<T extends keyof YfmEditor.Actions>(actionName: T): YfmEditor.Actions[T];
    setActions(actions: YfmEditor.Actions): this;
}
