"use strict";
var _ParserTokensRegistry_tokens;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParserTokensRegistry = void 0;
const tslib_1 = require("tslib");
const MarkdownParser_1 = require("./markdown/MarkdownParser");
class ParserTokensRegistry {
    constructor() {
        _ParserTokensRegistry_tokens.set(this, {});
    }
    addToken(name, token) {
        tslib_1.__classPrivateFieldGet(this, _ParserTokensRegistry_tokens, "f")[name] = token;
        return this;
    }
    createParser(schema, tokenizer) {
        return new MarkdownParser_1.MarkdownParser(schema, tokenizer, tslib_1.__classPrivateFieldGet(this, _ParserTokensRegistry_tokens, "f"));
    }
}
exports.ParserTokensRegistry = ParserTokensRegistry;
_ParserTokensRegistry_tokens = new WeakMap();
