"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Deflist = exports.defDescType = exports.defTermType = exports.defListType = exports.DeflistNode = void 0;
const DeflistSpecs_1 = require("./DeflistSpecs");
const commands_1 = require("./commands");
const const_1 = require("./const");
var DeflistSpecs_2 = require("./DeflistSpecs");
Object.defineProperty(exports, "DeflistNode", { enumerable: true, get: function () { return DeflistSpecs_2.DeflistNode; } });
Object.defineProperty(exports, "defListType", { enumerable: true, get: function () { return DeflistSpecs_2.defListType; } });
Object.defineProperty(exports, "defTermType", { enumerable: true, get: function () { return DeflistSpecs_2.defTermType; } });
Object.defineProperty(exports, "defDescType", { enumerable: true, get: function () { return DeflistSpecs_2.defDescType; } });
const Deflist = (builder, opts) => {
    builder.use(DeflistSpecs_1.DeflistSpecs, opts);
    builder.addKeymap(() => ({ Enter: commands_1.splitDeflist }));
    builder.addAction(const_1.dlAction, () => {
        return {
            isEnable: commands_1.wrapToDeflist,
            run: commands_1.wrapToDeflist,
        };
    });
};
exports.Deflist = Deflist;
