"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resetHeading = void 0;
const BaseSchema_1 = require("../../base/BaseSchema");
const utils_1 = require("./utils");
const resetHeading = (state, dispatch, view) => {
    const { selection } = state;
    if (selection.empty &&
        selection.$from.parent.type === (0, utils_1.hType)(state.schema) &&
        (view === null || view === void 0 ? void 0 : view.endOfTextblock('backward', state))) {
        return (0, BaseSchema_1.toParagraph)(state, dispatch, view);
    }
    return false;
};
exports.resetHeading = resetHeading;
