"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromYfm = void 0;
const const_1 = require("./const");
exports.fromYfm = {
    [const_1.ListNode.ListItem]: { name: const_1.ListNode.ListItem, type: 'block' },
    [const_1.ListNode.BulletList]: {
        name: const_1.ListNode.BulletList,
        type: 'block',
        getAttrs: (_, tokens, i) => ({ tight: listIsTight(tokens, i) }),
    },
    [const_1.ListNode.OrderedList]: {
        name: const_1.ListNode.OrderedList,
        type: 'block',
        getAttrs: (tok, tokens, i) => ({
            order: Number(tok.attrGet('start')) || 1,
            tight: listIsTight(tokens, i),
        }),
    },
};
function listIsTight(tokens, i) {
    while (++i < tokens.length) {
        if (tokens[i].type !== 'list_item_open')
            return tokens[i].hidden;
    }
    return false;
}
