"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImgSize = exports.ImgSizeAttr = void 0;
const const_1 = require("./const");
const actions_1 = require("./actions");
const ImgSizeSpecs_1 = require("./ImgSizeSpecs");
var ImgSizeSpecs_2 = require("./ImgSizeSpecs");
Object.defineProperty(exports, "ImgSizeAttr", { enumerable: true, get: function () { return ImgSizeSpecs_2.ImgSizeAttr; } });
const ImgSize = (builder, opts) => {
    builder.use(ImgSizeSpecs_1.ImgSizeSpecs, opts);
    builder.addAction(const_1.addImageAction, ({ schema }) => (0, actions_1.addImage)(schema));
};
exports.ImgSize = ImgSize;
