import type { Action, ExtensionAuto } from '../../../core';
import { YfmCutSpecsOptions } from './YfmCutSpecs';
declare const cutAction = "toYfmCut";
export { CutNode, cutType, cutTitleType, cutContentType } from './YfmCutSpecs';
export declare type YfmCutOptions = Pick<YfmCutSpecsOptions, 'yfmCutTitlePlaceholder' | 'yfmCutContentPlaceholder'> & {
    yfmCutKey?: string | null;
};
export declare const YfmCut: ExtensionAuto<YfmCutOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [cutAction]: Action;
        }
    }
}
