"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmDist = void 0;
const prosemirror_state_1 = require("prosemirror-state");
require("@doc-tools/transform/dist/js/yfm");
require("@doc-tools/transform/dist/css/yfm.css");
const YfmDistSpecs_1 = require("./YfmDistSpecs");
const YfmDist = (builder) => {
    // ignore yfm lint token
    builder.use(YfmDistSpecs_1.YfmDistSpecs);
    builder.addPlugin(() => new prosemirror_state_1.Plugin({
        props: {
            attributes: {
                class: 'yfm yfm_no-list-reset',
            },
        },
    }));
};
exports.YfmDist = YfmDist;
