/// <reference types="react" />
import { ToolbarBaseProps, ToolbarIconData, ToolbarItemData } from './types';
export declare type ToolbarListButtonData<E> = {
    icon: ToolbarIconData;
    title: string | (() => string);
    withArrow?: boolean;
    data: ToolbarItemData<E>[];
};
export declare type ToolbarListButtonProps<E> = ToolbarBaseProps<E> & ToolbarListButtonData<E>;
export declare function ToolbarListButton<E>({ className, editor, focus, onClick, icon, title, withArrow, data, }: ToolbarListButtonProps<E>): JSX.Element | null;
