import { MarkSpec, NodeSpec, Schema } from 'prosemirror-model';
export declare class SchemaSpecRegistry {
    #private;
    constructor(topNode?: string);
    addNode(name: string, spec: NodeSpec): this;
    addMark(name: string, spec: MarkSpec): this;
    createSchema(): Schema<string, string>;
}
