import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from '../../../../core';
export declare const headingNodeName = "heading";
export declare const headingLevelAttr = "level";
export declare const headingType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type HeadingSpecsOptions = {
    headingPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const HeadingSpecs: ExtensionAuto<HeadingSpecsOptions>;
