import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionWithOptions } from '../../../../core';
export { YfmTableNode } from './const';
export { yfmTableType, yfmTableBodyType, yfmTableRowType, yfmTableCellType } from './utils';
export declare type YfmTableSpecsOptions = {
    yfmTableCellPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const YfmTableSpecs: ExtensionWithOptions<YfmTableSpecsOptions>;
