import { history } from 'prosemirror-history';
import type { Action, ExtensionAuto } from '../../../core';
declare enum HistoryAction {
    Undo = "undo",
    Redo = "redo"
}
export declare type HistoryOptions = {
    config?: Parameters<typeof history>[0];
    undoKey?: string | null;
    redoKey?: string | null;
};
export declare const History: ExtensionAuto<HistoryOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [HistoryAction.Undo]: Action;
            [HistoryAction.Redo]: Action;
        }
    }
}
export {};
