"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = exports.imgType = exports.ImageAttr = exports.imageType = exports.imageNodeName = void 0;
const actions_1 = require("./actions");
const const_1 = require("./const");
const ImageSpecs_1 = require("./ImageSpecs");
var ImageSpecs_2 = require("./ImageSpecs");
Object.defineProperty(exports, "imageNodeName", { enumerable: true, get: function () { return ImageSpecs_2.imageNodeName; } });
Object.defineProperty(exports, "imageType", { enumerable: true, get: function () { return ImageSpecs_2.imageType; } });
Object.defineProperty(exports, "ImageAttr", { enumerable: true, get: function () { return ImageSpecs_2.ImageAttr; } });
/** @deprecated Use `imageType` instead */
exports.imgType = ImageSpecs_1.imageType;
const Image = (builder) => {
    builder.use(ImageSpecs_1.ImageSpecs);
    builder.addAction(const_1.addImageAction, ({ schema }) => (0, actions_1.addImage)(schema));
};
exports.Image = Image;
