import type { Action, ExtensionAuto } from '../../../core';
import { LinkActionMeta, LinkActionParams } from './actions';
export type { LinkActionParams, LinkActionMeta } from './actions';
export { linkCommand } from './actions';
export { normalizeUrlFactory } from './utils';
export { removeLink } from './commands';
export { LinkAttr, linkMarkName, linkType } from './LinkSpecs';
/** @deprecated Use `linkMarkName` instead */
export declare const link = "link";
declare const linkAction = "link";
export declare const Link: ExtensionAuto;
declare global {
    namespace YfmEditor {
        interface Actions {
            [linkAction]: Action<LinkActionParams, LinkActionMeta>;
        }
    }
}
