import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto, YENodeSpec } from '../../../../core';
export { CheckboxNode } from './const';
export declare const checkboxType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const checkboxLabelType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const checkboxInputType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type CheckboxSpecsOptions = {
    checkboxLabelPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    inputView?: YENodeSpec['view'];
    labelView?: YENodeSpec['view'];
    checkboxView?: YENodeSpec['view'];
};
export declare const CheckboxSpecs: ExtensionAuto<CheckboxSpecsOptions>;
