import type { Action, ExtensionAuto } from '../../../core';
import { addImageAction } from './const';
import { AddImageAttrs } from './actions';
import { ImgSizeSpecsOptions } from './ImgSizeSpecs';
export { ImgSizeAttr } from './ImgSizeSpecs';
export declare type ImgSizeOptions = ImgSizeSpecsOptions & {};
export declare const ImgSize: ExtensionAuto<ImgSizeOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [addImageAction]: Action<AddImageAttrs>;
        }
    }
}
