import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto, YENodeSpec } from '../../../../core';
export { CutNode } from './const';
export declare const cutType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const cutTitleType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const cutContentType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type YfmCutSpecsOptions = {
    cutView?: YENodeSpec['view'];
    cutTitleView?: YENodeSpec['view'];
    cutContentView?: YENodeSpec['view'];
    yfmCutTitlePlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    yfmCutContentPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const YfmCutSpecs: ExtensionAuto<YfmCutSpecsOptions>;
