"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LINK_TO_FILE_ATTRS_MAP = exports.fileNodeAttrsSpec = exports.REQUIRED_ATTRS = exports.KNOWN_ATTRS = exports.yfmFileNodeName = void 0;
const const_1 = require("@doc-tools/transform/lib/plugins/file/const");
exports.yfmFileNodeName = const_1.FILE_TOKEN;
exports.KNOWN_ATTRS = const_1.KNOWN_ATTRS.map((attrName) => {
    if (attrName in const_1.FILE_TO_LINK_ATTRS_MAP)
        return const_1.FILE_TO_LINK_ATTRS_MAP[attrName];
    return attrName;
});
exports.REQUIRED_ATTRS = const_1.REQUIRED_ATTRS.map((attrName) => {
    if (attrName in const_1.FILE_TO_LINK_ATTRS_MAP)
        return const_1.FILE_TO_LINK_ATTRS_MAP[attrName];
    return attrName;
});
exports.fileNodeAttrsSpec = {};
for (const attrName of exports.KNOWN_ATTRS) {
    const attrSpec = (exports.fileNodeAttrsSpec[attrName] = {});
    if (!exports.REQUIRED_ATTRS.includes(attrName)) {
        attrSpec.default = null;
    }
}
exports.LINK_TO_FILE_ATTRS_MAP = {};
for (const [key, value] of Object.entries(const_1.FILE_TO_LINK_ATTRS_MAP)) {
    exports.LINK_TO_FILE_ATTRS_MAP[value] = key;
}
