import type { Action, ExtensionAuto } from '../../../core';
import { YfmNoteSpecsOptions } from './YfmNoteSpecs';
declare const noteAction = "toYfmNote";
export { YfmNoteNode, noteType, noteTitleType } from './YfmNoteSpecs';
export declare type YfmNoteOptions = YfmNoteSpecsOptions & {
    yfmNoteKey?: string | null;
};
export declare const YfmNote: ExtensionAuto<YfmNoteOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [noteAction]: Action;
        }
    }
}
