import type { Node, Schema } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
import { ListNode } from './ListsSpecs';
export { liType, blType, olType } from './ListsSpecs';
export declare const findAnyParentList: (schema: Schema) => (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const isIntoListOfType: (nodeName: ListNode) => (state: EditorState) => boolean;
export declare const isListNode: ({ type }: Node) => boolean;
export declare const isListItemNode: (node: Node) => boolean;
export declare const isListOrItemNode: (node: Node) => boolean;
