import { ExtensionAuto } from '../../core';
import { CheckboxOptions } from './Checkbox';
import { ImgSizeOptions } from './ImgSize';
import { VideoOptions } from './Video';
import { YfmCutOptions } from './YfmCut';
import { YfmHeadingOptions } from './YfmHeading';
import { YfmNoteOptions } from './YfmNote';
import { YfmTableOptions } from './YfmTable';
export * from './Checkbox';
export * from './Color';
export * from './ImgSize';
export * from './Math';
export * from './Monospace';
export * from './Video';
export * from './YfmDist';
export * from './YfmCut';
export * from './YfmFile';
export * from './YfmHeading';
export * from './YfmNote';
export * from './YfmTable';
export * from './YfmTabs';
export declare type YfmPresetOptions = {
    checkbox?: CheckboxOptions;
    video?: VideoOptions;
    imgSize?: ImgSizeOptions;
    yfmCut?: YfmCutOptions;
    yfmNote?: YfmNoteOptions;
    yfmTable?: YfmTableOptions;
    yfmHeading?: YfmHeadingOptions;
};
export declare const YfmPreset: ExtensionAuto<YfmPresetOptions>;
